class_name SaveLoadUI
extends Control


@export var show_save_ui_button: BaseButton
@export var new_save_ui: Control
@export var save_name_input: LineEdit
@export var create_save_button: BaseButton
@export var create_save_cancel_button: BaseButton


func _ready() -> void:
	show_save_ui_button.pressed.connect(_on_show_save_ui_button_pressed)
	create_save_button.pressed.connect(_on_create_save_button_pressed)
	create_save_cancel_button.pressed.connect(_on_create_save_cancel_button_pressed)

	new_save_ui.hide()


func _on_create_save_button_pressed() -> void:
	var save_name: String = save_name_input.text
	if save_name.strip_edges() == "":
		save_name = Time.get_datetime_string_from_system().replace(":", "")

	SaveGameManager.create_save_file.emit(save_name)
	SaveGameManager.refresh_saves_list.emit()
	new_save_ui.hide()
	SignalManager.resume_game.emit()

func _on_create_save_cancel_button_pressed() -> void:
	new_save_ui.hide()

func _on_show_save_ui_button_pressed() -> void:
	var current_date: String = Time.get_datetime_string_from_system()
	save_name_input.text = current_date.replace(":", "")
	new_save_ui.show()
